Yii 是一个 [高性能] 的,适用于开发 WEB 2.0 应用的 PHP 框架。

Yii 自带了 [丰富的功能],包括 MVC,DAO/ActiveRecord,I18N/L10N,缓存,身份验证和基于角色的访问控制,脚手架,测试等,可显著缩短开发时间。

中文网地址:yiichina.com

Yii 最适合做什么?

Yii 是一个通用的 Web 编程框架,即可以用于开发各种用 PHP 构建的 Web 应用。 因为基于组件的框架结构和设计精巧的缓存支持,它特别适合开发大型应用, 如门户网站、社区、内容管理系统(CMS)、 电子商务项目和 RESTful Web 服务等。

Yii 和其他框架相比呢?

如果你有其它框架使用经验,那么你会很开心看到 Yii 所做的努力:

  • 和其他 PHP 框架类似,Yii 实现了 MVC(Model-View-Controller) 设计模式并基于该模式组织代码。
  • Yii 的代码简洁优雅,这是它的编程哲学。 它永远不会为了刻板地遵照某种设计模式而对代码进行过度的设计。
  • Yii 是一个全栈框架,提供了大量久经考验,开箱即用的特性: 对关系型和 NoSQL 数据库都提供了查询生成器和 ActiveRecord;RESTful API 的开发支持;多层缓存支持,等等。
  • Yii 非常易于扩展。你可以自定义或替换几乎任何一处核心代码。你还会受益于 Yii 坚实可靠的扩展架构,使用、再开发或再发布扩展。
  • 高性能始终是 Yii 的首要目标之一。

Yii 版本

Yii 当前有两个主要版本:1.1 和 2.0。 1.1 版是上代的老版本,现在处于维护状态。 2.0 版是一个完全重写的版本,采用了最新的技术和协议,包括依赖包管理器 Composer、PHP 代码规范 PSR、命名空间、Traits(特质)等等。

系统要求

Yii 2.0 需要 PHP 5.4.0 或以上版本支持。

Yii 2.0亮点

  • 使用php依赖管理工具:composer
  • gii生成器:提高工作效率
  • 活动记录(Active Record)
  • 强大的缓存机制

Tip:项目要是分前后台用高级版。要是只用一个单一后台或只做API接口,那就用基础版了。

我 秦始皇 打钱